package com.emato.file.tunnel.mq.callback;

import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.connection.CorrelationData;
import org.springframework.amqp.rabbit.core.RabbitTemplate;

import java.util.concurrent.atomic.AtomicBoolean;

/**
 * @author lhm
 * @version 1.0
 * 2021-08-25 16:46
 */
@Slf4j
public class SimpleConfirmCallBack implements RabbitTemplate.ConfirmCallback {

    /**
     * Confirmation callback.
     *
     * @param correlationData correlation data for the callback.
     * @param ack             true for ack, false for nack
     * @param cause           An optional cause, for nack, when available, otherwise null.
     */
    @Override
    public void confirm(CorrelationData correlationData, boolean ack, String cause) {
        if (!ack) {
            log.info("----- 消息唯一标识: {}, 确认结果: {}, 失败原因: {} -----", correlationData, ack, cause);
        }
    }
}
